From: Shengjing Zhu <zhsj@debian.org>
Date: Tue, 18 Aug 2020 14:35:41 +0800
Subject: disable cloud providers

To reduce build depends
---
 cmd/cadvisor.go | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/cmd/cadvisor.go b/cmd/cadvisor.go
index ade2d22..1de24f3 100644
--- a/cmd/cadvisor.go
+++ b/cmd/cadvisor.go
@@ -37,11 +37,6 @@ import (
 	// Register container providers
 	_ "github.com/google/cadvisor/cmd/internal/container/install"
 
-	// Register CloudProviders
-	_ "github.com/google/cadvisor/utils/cloudinfo/aws"
-	_ "github.com/google/cadvisor/utils/cloudinfo/azure"
-	_ "github.com/google/cadvisor/utils/cloudinfo/gce"
-
 	"k8s.io/klog/v2"
 )
 
